package com.xhpc.charging.station.service;

import com.xhpc.common.api.dto.XhpcTimingChargingModelDto;
import com.xhpc.common.core.domain.R;
import com.xhpc.common.domain.XhpcTimingChargingModel;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @date 2022/2/22 13:46
 */
public interface IXhpcTimingChargingModelService {

    List<Map<String, Object>> list(HttpServletRequest request,String tenantId,Long operatorId, String reason, Integer status, String startTime, String endTime, Long chargingStationId);

    R addXhpcTimingChargingModel(HttpServletRequest request, XhpcTimingChargingModelDto xhpcTimingChargingModelDto);

    R updateXhpcTimingChargingModel(Long timingChargingModelId);

    R getXhpcTimingChargingModelMessage(Long timingChargingModelId);

    XhpcTimingChargingModel getXhpcTimingChargingModelById(Long timingChargingModelId);

    int updateXhpcTimingChargingModel(XhpcTimingChargingModel xhpcTimingChargingModel);

    R getXhpcTimingChargingModelCron();
}
